# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
history = pc.backup_schedules.history(schedule_id="SCHEDULE_ID")
print(history)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const history = await pc.backupSchedules.history('SCHEDULE_ID');
console.log(history);
curl -sS "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}/history" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-Api-Version: 2026-07"
Backup schedules
List backup schedule history
List execution history for a Pinecone backup schedule, including scheduled runs, completed backups, statuses, and cursor-based pagination support.
GET
/
backup-schedules
/
{schedule_id}
/
history
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
history = pc.backup_schedules.history(schedule_id="SCHEDULE_ID")
print(history)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const history = await pc.backupSchedules.history('SCHEDULE_ID');
console.log(history);
curl -sS "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}/history" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-Api-Version: 2026-07"
This endpoint requires
X-Pinecone-Api-Version: 2026-07.status is Scheduled, the scheduled_execution_at field indicates the planned run time. Supports pagination.
Path parameters
string
required
The ID of the backup schedule.
Query parameters
integer
The maximum number of results to return.
string
A token for fetching the next page of results.
# pip install --upgrade pinecone
import os
from pinecone import Pinecone
pc = Pinecone(api_key=os.environ["PINECONE_API_KEY"])
history = pc.backup_schedules.history(schedule_id="SCHEDULE_ID")
print(history)
// npm install @pinecone-database/pinecone
import { Pinecone } from '@pinecone-database/pinecone';
// Reads PINECONE_API_KEY from the environment
const pc = new Pinecone();
const history = await pc.backupSchedules.history('SCHEDULE_ID');
console.log(history);
curl -sS "https://api.pinecone.io/backup-schedules/${SCHEDULE_ID}/history" \
-H "api-key: ${PINECONE_API_KEY}" \
-H "X-Pinecone-Api-Version: 2026-07"
Was this page helpful?